> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a project with the Chainstack Platform API v2

> Create a new project using the Chainstack Platform API v2 to organize networks and nodes. Send a POST request to /v2/projects/ with the project payload.



## OpenAPI

````yaml post /v2/projects/
openapi: 3.0.3
info:
  x-logo:
    url: https://chainstack.com/assets/docs/api-docs-logo.svg
    backgroundColor: '#F5F8FC'
    altText: Chainstack
  title: 💙 CHAINSTACK PLATFORM API
  version: v2
  contact:
    name: API Support
    email: support@chainstack.com
  description: >
    A set of API endpoints to operate and manage the platform resources.<br>

    See also a [quick API
    tutorial](https://docs.chainstack.com/reference/quick-tutorial).
servers:
  - url: https://api.chainstack.com
    description: API endpoint
security: []
paths:
  /v2/projects/:
    post:
      tags:
        - Project V2
      summary: Create project
      description: Create a project.
      operationId: createProjectV2
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectCreate'
            examples:
              project:
                value:
                  name: My project
                  description: My project description
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
              examples:
                project:
                  value:
                    id: PR-123-456-789
                    name: My project
                    description: My project description
                    type: public
                    members: 0
                    networks: 0
                    creator:
                      id: UR-111-111-111
                      email: user@example.com
                      first_name: John
                      last_name: Smith
                      organization:
                        id: RG-123-456
                        name: My organization
                    created_at: '2023-01-01T00:00:00.000000Z'
          description: ''
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
      security:
        - APIKeyAuthentication: []
components:
  schemas:
    ProjectCreate:
      allOf:
        - $ref: '#/components/schemas/BaseProject'
        - type: object
          required:
            - name
    Project:
      allOf:
        - $ref: '#/components/schemas/BaseProject'
    BaseProject:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          description: Name of the project.
        description:
          type: string
          description: Description of the project.
        type:
          allOf:
            - $ref: '#/components/schemas/ProjectTypeEnum'
          default: public
        members:
          type: integer
          readOnly: true
          description: |
            Number of members invited to the consortium project.
            <br>Only for the `consortium` project.
        networks:
          type: integer
          readOnly: true
          description: Number of networks created in the project.
        creator:
          allOf:
            - $ref: '#/components/schemas/Creator'
          readOnly: true
          description: Creator of the project.
        created_at:
          allOf:
            - $ref: '#/components/schemas/CreatedAt'
          description: When the project was created.
    ProjectTypeEnum:
      type: string
      description: |
        Type of the project.
        <br>
        * `public` for public chain project
      enum:
        - public
    Creator:
      type: object
      description: Creator of the object.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        organization:
          allOf:
            - $ref: '#/components/schemas/Object'
          description: Creator's organization.
    CreatedAt:
      type: string
      format: date-time
      readOnly: true
      description: When the object was created.
    Object:
      type: object
      description: Common object representation.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
  responses:
    ValidationError:
      description: Validation error.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
                  fields:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    description: Optional. Field-level validation errors.
    UnauthorizedError:
      description: Authentication credentials were missing or incorrect.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
    ForbiddenError:
      description: The request is not allowed with the current permissions.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
  securitySchemes:
    APIKeyAuthentication:
      type: http
      scheme: bearer
      description: >
        Chainstack API uses [API
        keys](https://docs.chainstack.com/reference/platform-api-getting-started)
        to authenticate requests. You can view and manage your API keys in the
        platform UI.

        Your API keys carry many privileges, so be sure to keep them secure!

        Provide your API key as the `Authorization` header. The value of the
        header consists of `Bearer` prefix and secret key generated through the
        platform UI.


        ```bash

        curl -X GET 'https://api.chainstack.com/v1/organization/' \

        --header 'Authorization: Bearer
        FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'

        ```


        All API requests must be made over HTTPS.

````